Debian Bug report logs - #528856
inteltool: FTBFS on amd64: cpu.c:35: Error: suffix or operands invalid for `push'

version graph

Package: inteltool; Maintainer for inteltool is Uwe Hermann <uwe@debian.org>; Source for inteltool is src:inteltool.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 16 May 2009 09:33:07 UTC

Severity: serious

Tags: patch

Found in version inteltool/0.0+r4091-1

Fixed in version inteltool/0.0+r4091-1.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#528856; Package inteltool. (Sat, 16 May 2009 09:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Uwe Hermann <uwe@debian.org>. (Sat, 16 May 2009 09:33:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: inteltool: FTBFS on amd64: cpu.c:35: Error: suffix or operands invalid for `push'
Date: Sat, 16 May 2009 11:31:02 +0200
Source: inteltool
Version: 0.0+r4091-1
Severity: important

Hi,

Your package is failing to build on amd64 with the following
error:
gcc -g -O2 -g -Wall -O2   -c -o inteltool.o inteltool.c
inteltool.c: In function 'map_physical':
inteltool.c:60: warning: format '%08x' expects type 'unsigned int', but argument 2 has type 'long unsigned int'
gcc -g -O2 -g -Wall -O2   -c -o cpu.o cpu.c
cpu.c: Assembler messages:
cpu.c:35: Error: suffix or operands invalid for `push'
cpu.c:38: Error: suffix or operands invalid for `pop'
cpu.c:35: Error: suffix or operands invalid for `push'
cpu.c:38: Error: suffix or operands invalid for `pop'
make[1]: *** [cpu.o] Error 1

Based on the description, this is package is probably also useful
on amd64.


Kurt






Severity set to `serious' from `important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 21 Jun 2009 15:24:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#528856; Package inteltool. (Sat, 07 Nov 2009 02:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Sat, 07 Nov 2009 02:12:06 GMT) Full text and rfc822 format available.

Message #12 received at 528856@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 528856@bugs.debian.org, control@bugs.debian.org
Subject: Patch for 528856
Date: Sat, 7 Nov 2009 01:59:05 +0000
[Message part 1 (text/plain, inline)]
tags 528826 + patch
kthxbye

Attached is a patch to make this build on amd64.  This is probably not
the best way to do it on Linux: using /dev/cpu/*/cpuid is nicer, but
that's not very portable.  Also, there's a cleaner way to do the asm
directives by using macros for the instruction names and registers; if
someone wants me to implement that, please just let me know.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[inteltool.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Sat, 07 Nov 2009 02:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#528856; Package inteltool. (Sun, 29 Nov 2009 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Sun, 29 Nov 2009 00:09:03 GMT) Full text and rfc822 format available.

Message #19 received at 528856@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 528856@bugs.debian.org
Subject: Re: #528856: inteltool: FTBFS on amd64: cpu.c:35: Error: suffix or operands invalid for `push'
Date: Sun, 29 Nov 2009 01:05:50 +0100
[Message part 1 (text/plain, inline)]
tags 528856 +patch +pending
thanks

Hi,

Just using the latest version of cpu.c from upstream subversion makes
the package build fine on i386 and amd64; I will shortly NMU with the
attached patch.


cheers,

Michael
[interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 13:39:11 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 13:39:11 GMT) Full text and rfc822 format available.

Message #24 received at 528856-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 528856-close@bugs.debian.org
Subject: Bug#528856: fixed in inteltool 0.0+r4091-1.1
Date: Sun, 29 Nov 2009 13:34:36 +0000
Source: inteltool
Source-Version: 0.0+r4091-1.1

We believe that the bug you reported is fixed in the latest version of
inteltool, which is due to be installed in the Debian FTP archive:

inteltool_0.0+r4091-1.1.diff.gz
  to main/i/inteltool/inteltool_0.0+r4091-1.1.diff.gz
inteltool_0.0+r4091-1.1.dsc
  to main/i/inteltool/inteltool_0.0+r4091-1.1.dsc
inteltool_0.0+r4091-1.1_i386.deb
  to main/i/inteltool/inteltool_0.0+r4091-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated inteltool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 01:00:59 +0100
Source: inteltool
Binary: inteltool
Architecture: source i386
Version: 0.0+r4091-1.1
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 inteltool  - Dump Intel CPU / chipset configuration parameters
Closes: 528856
Changes: 
 inteltool (0.0+r4091-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Replaced cpu.c with latest upstream subversion revision (Closes: #528856).
Checksums-Sha1: 
 ce0cc8e2c96a31426f4d4f5da21e09ee38eddd9e 1038 inteltool_0.0+r4091-1.1.dsc
 c7ce8c48d510d730300c0fc02ddea189a0d1a5b7 3302 inteltool_0.0+r4091-1.1.diff.gz
 266c8df39db4ba4fc7926bfa340c5484893d6911 12268 inteltool_0.0+r4091-1.1_i386.deb
Checksums-Sha256: 
 795056540104e67a0dbd1d80dd8e7081fb630b6afe714ae3fe3ec67452be1468 1038 inteltool_0.0+r4091-1.1.dsc
 26dbe31654f05ffb1a7b004cc9b079f084eea0b444e5c513ae3d874d168b18b3 3302 inteltool_0.0+r4091-1.1.diff.gz
 3d7640cc162a34fdbb733066119b79ab7ba5632007457842b0c4125761edfbca 12268 inteltool_0.0+r4091-1.1_i386.deb
Files: 
 aec9179ca1e6dcbb5db4152479104335 1038 utils extra inteltool_0.0+r4091-1.1.dsc
 0d898e3e4e47e973f15dd509970abd98 3302 utils extra inteltool_0.0+r4091-1.1.diff.gz
 a60b7633462aacb251d21e6ba9975e25 12268 utils extra inteltool_0.0+r4091-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEnTtmHaJYZ7RAb8RA+y4AKC3fbSdgeY1SY1z9B1LIbJg4i0BBACggu3S
JKmgOLC3nZpDOiv7Lnqf+OM=
=ROV6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Jan 2010 07:43:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:59:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.